//==============================================================================
//
// Title:       globals.h
// Purpose:     A short description of the interface.
//
// Created on:  3/3/2013 at 6:35:28 PM by Tom Burke.
// Copyright:   NG. All Rights Reserved.
//
//==============================================================================

#ifndef __globals_H__
#define __globals_H__

#ifdef __cplusplus
    extern "C" {
#endif

//==============================================================================
// Include files

#include "cvidef.h"
#include "XEM.h"

//==============================================================================
// Constants
#define	TRUE			1
#define	FALSE			0

#define	SUCCESS			0
#define	FAILURE			1
		
#define ON				1
#define	OFF				0
		
#define	INTERNAL		0
#define	EXTERNAL		1
						
#define RUN				1
#define STOP			0
		
#define BUFFER_SIZE		16*1024*1024
		
#define	D_ZOOM_OUT		1
#define	D_ZOOM_IN		2
		
#define	SCROLL_LEFT		1
#define	SCROLL_RIGHT	2
		
		
//==============================================================================
// Types

//==============================================================================
// External variables
static int				functionID;			//	This is the pointer to the thread
static int				TrigSource;			//	Internal or external trigger?


static int				zoom_level;			//	keep track of zoom
static short int* 		start_point_ptr;	//	pointer to the start of the data to display
static unsigned int		start_point;
static unsigned int		display_len;		//	number of points to display


static FP_H				my_FP;				//	Handle to FrontPanel stuff


static short int* 		LA_Memory = 0;		//	Acquisition/display memory
static unsigned int 	gMask = 0xffff;		//	Display mask


//==============================================================================
// Global functions

int CVICALLBACK AutomaticUpdateThreadFunction (void* my_FP);	//	Automatic Updater thread
int	GetTriggerSource( int panel, int control );
int DisplayData( unsigned char*, int panel, int control );

#ifdef __cplusplus
    }
#endif

#endif  /* ndef __globals_H__ */
