#ifndef XEM_H
#define XEM_H

//	Constants
#define	XEM_TRUE	1
#define	XEM_FALSE	0

#define	XEM_SUCCESS	0
#define	XEM_FAILURE	1

#define	XEM_Connected		1
#define	XEM_Disconnected	0

#include "okFrontPanelDLL.h"

//	Data structure for communicating with FrontPanel devices
typedef struct myFrontPanel
		{
				//	Pointer to XEM device handle
				okFrontPanel_HANDLE	FP_Handle;			//	Handle to FrontPanel device
				
				//	FPGA status
				unsigned long		WireIn[0x20];		//	WireIns at address 0x00-0x19
				unsigned long		WireOut[0x20];		//	WireOuts at address 0x20-0x39
				
				//	Thread status
				int					Running;			//	Are we running?
				int					Quit;				//	Time to quit
				
				//	Update flag (set to 1 to update WireIns)
				int					Update;
				
				//	Information about this device
				int					DeviceNum;			//	Which XEM device is this?
				int					BoardModel;			//	Board model (enum)
				char				BoardModelStr[50];	//	ASCII string for board type
				char				SerNum[50];			//	Board Serial Number
		}FP_H, *FP_Ptr;

//	Variables



//int	XEM_Connected;
	

	
//	Functions
int	XEM_Connect( FP_H* my_FP );
int	XEM_Disconnect( FP_H* my_FP );
int	XEM_GetDevice( FP_H* my_FP, int NoDevices );
int	XEM_GetDeviceType( FP_H* my_FP, int Device_num );
int ResetFIFOs( FP_H* my_FP );
int	WaitUpdate( FP_H* my_FP );
int StartAcq( FP_H* my_FP );					//	Set the hardware to start acquisition
int StopAcq( FP_H* my_FP );					//	Set the hardware to stop acquisition
int CheckMemStatus( FP_H* my_FP, int* mem_full );
int RetrieveData( FP_H* my_FP, unsigned char *LA_Memory );	//	Get the data from the XEM card
int SetTrigger( FP_H* my_FP, int mode );



#endif
