`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    08:14:12 01/22/2013 
// Design Name: 
// Module Name:    ClockMux 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module ClockMux(
    input [7:0] CLK_IN,		//	Bus in of clock signals
    input [2:0] CLK_SEL,	//	Clock select bus
    output MUX_OUT			//	Ouput of final stage mux.  Still needs to be buffered.
    );

	wire	MUX_1_OUT;	//	Intermediate clocks on outputs of various muxes
	wire	MUX_2_OUT;
	wire	MUX_3_OUT;
	wire	MUX_4_OUT;
	wire	MUX_5_OUT;
	wire	MUX_6_OUT;
	
	//	This is the 200MHZ/100MHz mux
   // BUFGMUX: Global Clock Buffer 2-to-1 MUX
   //          Spartan-3E
   // Xilinx HDL Language Template, version 14.3
   BUFGMUX CLK_MUX_1 (
      .O(MUX_1_OUT),		// Clock MUX 1 output
      .I0(CLK_IN[0]),		// EXT_CLK input
      .I1(CLK_IN[1]),		// 1MHz
      .S(CLK_SEL[0])		// Clock select input
   );

   BUFGMUX CLK_MUX_2 (
      .O(MUX_2_OUT),		// Clock MUX 2 output
      .I0(CLK_IN[2]),		// 5MHz
      .I1(CLK_IN[3]),		// 10MHz
      .S(CLK_SEL[0])		// Clock select input
   );

   BUFGMUX CLK_MUX_3 (
      .O(MUX_3_OUT),		// Clock MUX 3 output
      .I0(CLK_IN[4]),		// 20MHz
      .I1(CLK_IN[5]),		// 50MHz
      .S(CLK_SEL[0])		// Clock select input
   );

   BUFGMUX CLK_MUX_4 (
      .O(MUX_4_OUT),		// Clock MUX 4 output
      .I0(CLK_IN[6]),		// 100MHz
      .I1(CLK_IN[7]),		// 200MHz
      .S(CLK_SEL[0])		// Clock select input
   );

   BUFGMUX CLK_MUX_5 (
      .O(MUX_5_OUT),		// Clock MUX 5 output
      .I0(MUX_1_OUT),		// EXT_CLK or 1 MHz
      .I1(MUX_2_OUT),		// 5 or 10 MHz
      .S(CLK_SEL[1])		// Clock select input
   );

   BUFGMUX CLK_MUX_6 (
      .O(MUX_6_OUT),		// Clock MUX 6 output
      .I0(MUX_3_OUT),		// 20 or 50 MHz
      .I1(MUX_4_OUT),		// 100 or 200MHz
      .S(CLK_SEL[1])		// Clock select input
   );

   BUFGMUX CLK_MUX_7 (
      .O(MUX_OUT),		// Clock MUX 7 output
      .I0(MUX_5_OUT),		// EXT_CLK, 1, 5, or 10MHz
      .I1(MUX_6_OUT),		// 20, 50, 100, 0r 200MHz
      .S(CLK_SEL[2])		// Clock select input
   );
endmodule
