`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    18:44:54 05/18/2013 
// Design Name: 
// Module Name:    ManageTrigger 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module ManageTrigger(
    input 		i_trig_sel,			//	0=internal trigger; 1=external trigger
    input 		i_acq_cmd,			//	acquisition command from PC
    input 		i_ext_trig,			//	external trigger signal
	 input 		i_reset,				//	reset the one-shot (primarily)
	 input 		i_clk,				//	Synchronize everything
    output reg o_acquire			//	we are triggered - acquire data
    );

	always @(posedge i_clk)
		if ( i_reset == 1'b1 )						//	if we're being reset,
			o_acquire = 1'b0;								//	set the output to 0
		else												//	if we're NOT being reset...
			if ( i_trig_sel == 1'b0 )					//	if trigger_sel = 0, 
				o_acquire = i_acq_cmd;						//	then we run when acq_cmd happens
			else												//	otherwise, run when the external trigger comes in...
				if ( i_ext_trig == 1'b1 )					//	if ext trigger = 1
					o_acquire = i_acq_cmd;						//	then output = acquisition command
				else												//	otherwise 
					o_acquire = (o_acquire & i_acq_cmd);	//	output remains where it was or shuts off with acq_cmd

			

				
	
	
		
			
	

endmodule
