`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    14:26:49 01/28/2013 
// Design Name: 
// Module Name:    PB_Debounce 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module PB_Debounce(
    input SLOW_CLK,
    input PB_IN,
    output reg DB_OUT
    );

	reg	[2:0] flops;	//	The basis for a shift register

	//	Slow clock should probably be ~600Hz or so...
	//		This should allow the circuit to properly debounce a 25ms glitch...
	always @(posedge SLOW_CLK)
	begin
		//	Shift the button state through
		flops[2] <= flops[1];
		flops[1] <= flops[0];
		flops[0] <= PB_IN;

		//	When all the inputs are the same state, then the input was valid
		case( {PB_IN, flops[2:0]} )
			4'h0: DB_OUT <= 0;
			4'hF: DB_OUT <= 1;
			default: DB_OUT <= DB_OUT;
		endcase
	end

endmodule
