`timescale 1ns / 1ps

////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer:
//
// Create Date:   19:42:30 05/19/2013
// Design Name:   ManageTrigger
// Module Name:   I:/Projects/xilinx/FPInterface/LogicAnalyzer/LogicAnalyzer/TestManageTrigger.v
// Project Name:  LogicAnalyzer
// Target Device:  
// Tool versions:  
// Description: 
//
// Verilog Test Fixture created by ISE for module: ManageTrigger
//
// Dependencies:
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
////////////////////////////////////////////////////////////////////////////////

module TestManageTrigger;

	// Inputs
	reg i_trig_sel;
	reg i_acq_cmd;
	reg i_ext_trig;
	reg i_reset;
	reg i_clk;

	// Outputs
	wire o_acquire;

	// Instantiate the Unit Under Test (UUT)
	ManageTrigger uut (
		.i_trig_sel(i_trig_sel), 
		.i_acq_cmd(i_acq_cmd), 
		.i_ext_trig(i_ext_trig), 
		.i_reset(i_reset), 
		.i_clk(i_clk), 
		.o_acquire(o_acquire)
	);

	initial begin
		// Initialize Inputs
		i_trig_sel = 0;
		i_acq_cmd = 0;
		i_ext_trig = 0;
		i_reset = 0;
		i_clk = 0;

		// Wait 100 ns for global reset to finish
		#100;
        
		// Add stimulus here
		#100	i_acq_cmd = 1'b1;			//	Send acquisition command
		#100	i_ext_trig = 1'b1;		//	Turn on external trigger (looking for glitches)
		#100	i_ext_trig = 1'b0;		//	Turn it off
		#50	i_acq_cmd = 1'b0;			//	turn acq cmd off
		
		#100	i_reset = 1'b1;			//	reset the manager
		#100	i_reset = 1'b0;
		
		#100	i_trig_sel = 1'b1;		//	set trigger to EXT
		#100	i_acq_cmd = 1'b1;			//	set acq_cmd
		#100	i_ext_trig = 1'b1;		//	Fire ext trigger
		#100	i_ext_trig = 1'b0;		//	turn it off
		#100	i_acq_cmd = 1'b0;			//	Turn off acq_cmd
		
		#100	i_reset = 1'b1;			//	reset the manager
		#100	i_reset = 1'b0;
		
		#100	i_trig_sel = 1'b1;		//	set trigger to EXT
		#100	i_acq_cmd = 1'b1;			//	set acq_cmd
		#100	i_ext_trig = 1'b1;		//	Fire ext trigger
		#100	i_acq_cmd = 1'b0;			//	Turn off acq_cmd
		#100	i_ext_trig = 1'b0;		//	turn it off
	end
      
	always
		#10	i_clk = ~i_clk;

endmodule

