////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 1995-2006 Xilinx, Inc.  All rights reserved.
////////////////////////////////////////////////////////////////////////////////
//   ____  ____ 
//  /   /\/   / 
// /___/  \  /    Vendor: Xilinx 
// \   \   \/     Version : 8.2.03i
//  \   \         Application : xaw2verilog
//  /   /         Filename : dcm1.v
// /___/   /\     Timestamp : 03/06/2007 22:44:51
// \   \  /  \ 
//  \___\/\___\ 
//
//Command: xaw2verilog dcm1.xaw -st
//Design Name: dcm1
//Device: xc3s1200e-4ft256
//
// Module dcm1
// Generated by Xilinx Architecture Wizard
// Written for synthesis tool: XST
`timescale 1ns / 1ps

module dcm_sys(
	input		wire		i_CLK_IN,		//	input clock - assume 133MHz
	input		wire		i_RST_IN,		//	reset input
	output	wire		o_CLK_IN_BUF,	//	Buffered input clock (133MHz)
	output	wire		o_CLK0_OUT,		//	133MHz output clock (locked to input clock)
	output	wire		o_CLK_FX,		//	200MHz output clock (199.5MHz)
	output	wire		o_LOCKED_OUT	//	DCM locked
	);

	wire	w_clk_fb;
//	wire	w_clk_2x;
	wire	w_clk_in_ibufg;
	wire	w_clk0_out;
	wire GND1;
 	
	
	assign	o_CLK_IN_BUF = w_clk_in_ibufg;
//	assign	o_CLK_2X = w_clk_2x;
	assign	o_CLK0_OUT = w_clk_fb;
 
   assign GND1 = 0;
	
	
	IBUFG CLKIN_IBUFG (
				.I(i_CLK_IN),
				.O(w_clk_in_ibufg)
				);
				
	BUFG	CLK_OUT_BUFG(
				.I(w_clk0_out),
				.O(w_clk_fb)
				);
	
   DCM_SP DCM_SP_INST (.CLKFB(w_clk_fb), 								//	133Mhz
                       .CLKIN(w_clk_in_ibufg), 						//	133MHz
                       .DSSEN(GND1), 
                       .PSCLK(GND1), 
                       .PSEN(GND1), 
                       .PSINCDEC(GND1), 
                       .RST(i_RST_IN), 
                       .CLKDV(), 
                       .CLKFX(o_CLK_FX),	 							//	200MHz = CLK_IN * CLKFX_MULTIPLY/CLKFX_DIVIDE = (50*8/3)
                       .CLKFX180(), 
                       .CLK0(w_clk0_out), 							//	133MHz output
                       .CLK2X(/*w_clk_2x*/), 								//	266MHz
                       .CLK2X180(), 
                       .CLK90(), 
                       .CLK180(), 
                       .CLK270(), 
                       .LOCKED(o_LOCKED_OUT), 							//	1=DLL locked
                       .PSDONE(), 
                       .STATUS());
   defparam DCM_SP_INST.CLK_FEEDBACK = "1X";
   defparam DCM_SP_INST.CLKDV_DIVIDE = 2.0;
   defparam DCM_SP_INST.CLKFX_DIVIDE = 2;
   defparam DCM_SP_INST.CLKFX_MULTIPLY = 3;
   defparam DCM_SP_INST.CLKIN_DIVIDE_BY_2 = "FALSE";
   defparam DCM_SP_INST.CLKIN_PERIOD = 7.5;
   defparam DCM_SP_INST.CLKOUT_PHASE_SHIFT = "FIXED";
   defparam DCM_SP_INST.DESKEW_ADJUST = "SYSTEM_SYNCHRONOUS";
   defparam DCM_SP_INST.DFS_FREQUENCY_MODE = "HIGH";
   defparam DCM_SP_INST.DLL_FREQUENCY_MODE = "HIGH";
   defparam DCM_SP_INST.DUTY_CYCLE_CORRECTION = "TRUE";
   defparam DCM_SP_INST.FACTORY_JF = 16'hC080;
   defparam DCM_SP_INST.PHASE_SHIFT = -50;
   defparam DCM_SP_INST.STARTUP_WAIT = "FALSE";
endmodule
