/*
 * LogicSource.c
 *
 * Created: 3/25/2013 7:18:24 PM
 *  Author: tom
 */ 

#include <avr/io.h>
#include <util/delay_basic.h>
#include "LogicSource.h"
//#include <avr/interrupt.h>
#include <avr/power.h>
//#include <avr/sleep.h>

int main(void)
{
	char	BitsOut = 0;
	char	TrigOut = 0;

	//  Set Clock Speed to 8MHz
	clock_prescale_set(clock_div_1);

	//	Make sure we know initial conditions...
	DDRA = 0xFF;	//	All outputs
	PORTA = 0x00;	//	Set outputs to zero
	DDRB = 0x01;	//	All inputs except for B0
	PORTB = 0x00;	//	Pull-ups off and output to zero

    while(1)
    {
		//	Toggle the trigger when the bits are all zero
		if(BitsOut == 0)
			TrigOut = ~TrigOut;
			
		//	Simple increment on the output bits
		BitsOut++;

		//	Wait for things to settle...
		_delay_loop_2(65000);						//  should be about 32.5ms
		_delay_loop_2(65000);						//  should be about 32.5ms
		_delay_loop_2(65000);						//  should be about 32.5ms

		
		PORTA = BitsOut;
		PORTB = TrigOut;	
     }
}